---
agentTools:
  projectIndex: https://docs.mindstamp.com/llms.txt
---

# Get the views for a single video

Return details pertaining to all views associated with a video ID.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Welcome to the Mindstamp API documentation overview! \n\n As the premium Interactive Video platform, we pride ourselves in providing the best-in-class solution to our customers' needs. In addition to providing a sleek and intuitive interactive video experience, we also provide a comprehensive API that allows our users to retrieve and utilize their Mindstamp data. Mindstamp offers a JSON REST API that provides users the ability to retrieve data for views, viewers, videos, interactions, and users for use in their own applications.",
    "version": "1.0.0",
    "title": "Mindstamp API",
    "termsOfService": "https://mindstamp.com/terms",
    "contact": {
      "email": "hello@mindstamp.com"
    }
  },
  "tags": [
    {
      "name": "Videos",
      "description": "Everything about your videos"
    }
  ],
  "security": [
    {
      "APIKeyHeader": []
    },
    {
      "bearerAuth": []
    },
    {
      "oauth2": [
        "public"
      ]
    }
  ],
  "paths": {
    "/videos/{id}/views": {
      "get": {
        "tags": [
          "Videos"
        ],
        "summary": "Get the views for a single video",
        "description": "Return details pertaining to all views associated with a video ID.",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/views"
                }
              }
            }
          },
          "401": {
            "description": "Not Authorized"
          },
          "404": {
            "description": "Not Found"
          },
          "422": {
            "description": "Unprocessable Entity"
          },
          "500": {
            "description": "Error"
          },
          "503": {
            "description": "Rate Limit Exceeded"
          }
        },
        "operationId": "get_videos-id-views"
      }
    }
  },
  "externalDocs": {
    "description": "Find out more about Mindstamp",
    "url": "https://mindstamp.com"
  },
  "servers": [
    {
      "url": "https://api.mindstamp.com/api/v1",
      "description": "Production"
    }
  ],
  "components": {
    "securitySchemes": {
      "APIKeyHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Use a Bearer token, for example: Authorization: Bearer <access_token>"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "A Mindstamp API token sent as Authorization: Bearer <token>. API tokens never expire."
      },
      "oauth2": {
        "type": "oauth2",
        "description": "OAuth 2.1 authorization code with PKCE for agents and integrations. Clients can register at https://app.mindstamp.com/oauth/register; discovery at https://app.mindstamp.com/.well-known/oauth-authorization-server.",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://app.mindstamp.com/oauth/authorize",
            "tokenUrl": "https://app.mindstamp.com/oauth/token",
            "refreshUrl": "https://app.mindstamp.com/oauth/token",
            "scopes": {
              "public": "Full access to the account's REST API, the same as an API token"
            }
          }
        }
      }
    },
    "schemas": {
      "view": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "9b495ec2-e2e1-4837-9342-456f7c8e68a8"
          },
          "owner_id": {
            "type": "string",
            "example": "db9089d8-ae78-41d1-b83e-fb8ed5af3e5d"
          },
          "video_id": {
            "type": "string",
            "example": "9c8286f7-50e1-464f-9788-ddb76e8c5915"
          },
          "video_token": {
            "type": "string",
            "example": "MKspMpyQAcbl"
          },
          "video_title": {
            "type": "string",
            "example": "My Interactive Video"
          },
          "started": {
            "type": "string",
            "example": "Sat, 1 Jan 2022 05:12:32 UTC +00:00"
          },
          "finished": {
            "type": "string",
            "example": "Sat, 1 Jan 2022 05:15:24 UTC +00:00"
          },
          "elapsed": {
            "type": "integer",
            "example": 120
          },
          "percentage": {
            "type": "integer",
            "example": 100
          },
          "viewer_id": {
            "type": "string",
            "example": "ec3f8d5e-9064-4b12-8786-823fffa9eeb5"
          },
          "viewer_name": {
            "type": "string",
            "example": "John Doe"
          },
          "viewer_email": {
            "type": "string",
            "example": "John.Doe@email.com"
          },
          "viewer_phone": {
            "type": "string",
            "example": "(321) 123-4567"
          },
          "viewer_custom_id": {
            "type": "string",
            "example": "123456"
          },
          "interaction_count": {
            "type": "integer",
            "example": 5
          },
          "city": {
            "type": "string",
            "example": "Indialantic"
          },
          "region": {
            "type": "string",
            "example": "Florida"
          },
          "country": {
            "type": "string",
            "example": "United States"
          },
          "flag": {
            "type": "string",
            "example": "🇺🇸"
          },
          "url": {
            "type": "string",
            "example": "https://share.mindstamp.com/w/MKspMpyQAcbl"
          },
          "browser": {
            "type": "string",
            "example": "Chrome 98"
          },
          "screen_width": {
            "type": "string",
            "example": "1600"
          },
          "screen_height": {
            "type": "string",
            "example": "1000"
          },
          "participation": {
            "type": "integer",
            "example": 95
          },
          "correctness": {
            "type": "integer",
            "example": 90
          },
          "plink_id": {
            "type": "string",
            "example": "nil"
          },
          "tag1": {
            "type": "string",
            "example": "My Tag"
          },
          "tag2": {
            "type": "string",
            "example": "My Tag"
          },
          "tag3": {
            "type": "string",
            "example": "My Tag"
          },
          "tag4": {
            "type": "string",
            "example": "My Tag"
          },
          "tag5": {
            "type": "string",
            "example": "My Tag"
          },
          "group_id": {
            "type": "string",
            "example": "9ab95ec2-e1f3-4737-7342-456d7c8e77a8"
          },
          "video_owner_id": {
            "type": "string",
            "example": "db9089d8-ae78-41d1-b83e-fb8ed5af3e5d"
          },
          "export_count": {
            "type": "integer",
            "example": 2
          },
          "variables": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "my_variable": {
                  "type": "string",
                  "example": "my_definition"
                },
                "foo": {
                  "type": "string",
                  "example": "bar"
                }
              }
            }
          },
          "created_at": {
            "type": "string",
            "example": "Sat, 1 Jan 2022 05:12:32 UTC +00:00"
          },
          "updated_at": {
            "type": "string",
            "example": "Sat, 1 Jan 2022 05:15:24 UTC +00:00"
          }
        }
      },
      "views": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/view"
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 103,
      "1": 0,
      "2": 11,
      "3": 247,
      "4": 12,
      "5": 95,
      "6": 174,
      "7": 0,
      "8": 25,
      "9": 224,
      "10": 85,
      "11": 222
    }
  }
}
```